#ifndef  _ERROR_H_
#define _ERROR_H_

#define ERROR_NONE                          0
#define ERROR_NOR_REACH_END                -1
#define ERROR_NOR_UNINITIALIZED            -2
#define ERROR_NOR_OPEN_FAIL                -3
#define ERROR_NOR_CLOSE_FAIL               -4
#define ERROR_NOR_ERASE_FAIL               -5
#define ERROR_NOR_READ_FAIL                -6
#define ERROR_NOR_READ_HEADER_FAIL         -7
#define ERROR_NOR_WRITE_FAIL               -8
#define ERROR_NOR_WRITE_ENABLE_FAIL        -9
#define ERROR_NOR_VERIFY_FAIL              -10
#define ERROR_NOR_WAIT_READY_FAIL          -11
#define ERROR_FDS_UNINITIALIZED            -12
#define ERROR_FDS_INITIALIZE_FAIL          -13
#define ERROR_FDS_REGISTER_FAIL            -14
#define ERROR_FDS_OPEN_FAIL                -15
#define ERROR_FDS_CLOSE_FAIL               -16
#define ERROR_FDS_DELETE_FAIL              -17
#define ERROR_FDS_FIND_FAIL                -18
#define ERROR_FDS_READ_FAIL                -19
#define ERROR_FDS_WRITE_FAIL               -20
#define ERROR_FDS_UPDATE_FAIL              -21
#define ERROR_FSTORAGE_UNINITIALIZED       -22
#define ERROR_FSTORAGE_INITIALIZE_FAIL     -23
#define ERROR_FSTORAGE_ERASE_ON_GOING      -24
#define ERROR_FSTORAGE_ERASE_FAIL          -25
#define ERROR_FSTORAGE_READ_FAIL           -26
#define ERROR_FSTORAGE_WRITE_ON_GOING      -27
#define ERROR_FSTORAGE_WRITE_FAIL          -28
#define ERROR_FSTORAGE_WAIT_TIMEOUT        -29
#define ERROR_RTC_UNINITIALIZED            -30
#define ERROR_RTC_INITIALIZE_FAIL          -31
#define ERROR_RTC_START_FAIL               -32
#define ERROR_RTC_STOP_FAIL                -33
#define ERROR_RTC_UPDATE_FAIL              -34
#define ERROR_SAADC_INIT_FAIL              -35
#define ERROR_SAADC_CONVERT_FAIL           -36
#define ERROR_SAADC_SAMPLE_FAIL            -37
#define ERROR_TIMER_INITIALIZE_FAIL        -38
#define ERROR_TIMER_CREATE_FAIL            -39
#define ERROR_TIMER_START_FAIL             -40
#define ERROR_TIMER_STOP_FAIL              -41
#define ERROR_SPI_OPEN_FAIL                -42
#define ERROR_SPI_CLOSE_FAIL               -43
#define ERROR_SPI_READ_FAIL                -44
#define ERROR_SPI_WRITE_FAIL               -45
#define ERROR_SPI_TRANSFER_FAIL            -46
#define ERROR_WDT_UNINITIALIZED            -47
#define ERROR_WDT_INITIALIZE_FAIL          -48
#define ERROR_LED_UNINITIALIZED            -49
#define ERROR_LED_INITIALIZE_FAIL          -50
#define ERROR_BLE_BAS_UNINITIALIZED        -51
#define ERROR_BLE_BAS_INITIALIZE_FAIL      -52
#define ERROR_BLE_BAS_UPDATE_FAIL          -53
#define ERROR_SECURITY_UNINITIALIZED       -54
#define ERROR_SECURITY_INITIALIZE_FAIL     -55
#define ERROR_SECURITY_EVENT_FAIL          -56
#define ERROR_ADVERTISING_UNINITIALIZED    -57
#define ERROR_ADVERTISING_INITIALIZE_FAIL  -58
#define ERROR_ADVERTISING_START_FAIL       -59
#define ERROR_ADVERTISING_STOP_FAIL        -60
#define ERROR_ADVERTISING_FAST_FAIL        -61
#define ERROR_ADVERTISING_IDLE_FAIL        -62
#define ERROR_PEER_MANAGER_UNINITIALIZED   -63
#define ERROR_PEER_MANAGER_INITIALIZE_FAIL -64
#define ERROR_PEER_CONNECT_FAIL            -65
#define ERROR_PEER_DISCONNECT_FAIL         -66
#define ERROR_OTA_UNINITIALIZED            -67
#define ERROR_OTA_INITIALIZE_FAIL          -68
#define ERROR_PWR_MGMT_UNINITIALIZED       -69
#define ERROR_PWR_MGMT_INITIALIZE_FAIL     -70
#define ERROR_GPIOE_UNINITIALIZED          -71
#define ERROR_GPIOE_INITIALIZE_FAIL        -72
#define ERROR_I2C_UNINITIALIZED            -73
#define ERROR_I2C_INITIALIZE_FAIL          -74
#define ERROR_I2C_READ_FAIL                -75
#define ERROR_I2C_WRITE_FAIL               -76
#define ERROR_AFE_UNINITIALIZED            -77
#define ERROR_AFE_INITIALIZE_FAIL          -78
#define ERROR_AFE_READ_FAIL                -79
#define ERROR_AFE_WRITE_FAIL               -80
#define ERROR_BUTTON_UNINITIALIZED         -81
#define ERROR_BUTTON_INITIALIZE_FAIL       -82
#define ERROR_GAP_UNINITIALIZED            -83
#define ERROR_GAP_INITIALIZE_FAIL          -84
#define ERROR_GAP_TX_POWER_FAIL            -85
#define ERROR_PWM_UNINITIALIZED            -86
#define ERROR_PWM_INITIALIZE_FAIL          -87
#define ERROR_BT_UNINITIALIZED             -88
#define ERROR_BT_INITIALIZE_FAIL           -89
#define ERROR_GPIO_UNINITIALIZED           -90
#define ERROR_GPIO_INITIALIZE_FAIL         -91
#define ERROR_GPIO_CONFIG_FAIL             -92
#define ERROR_GPIO_SET_FAIL                -93
#define ERROR_NUS_INITIALIZE_FAIL          -94

#endif /* _ERROR_H_ */

