/* Copyright (c) 2014 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 */

#ifndef __LOCALTIME_H__
#define __LOCALTIME_H__

#include "datetime.h"

void       ltInit(void);
datetime_t ltGetDatetime(void);
void       ltSetDatetime(const datetime_t* dateTime);
char*      ltGetDatetimeString(void);
void       ltPrintCurrentDatetime(void);

#endif /* __LOCALTIME_H__ */

