#ifndef _RTC_H_
#define _RTC_H_

#define RTC_COUNTER_COUNTER_POS  (0UL) /* Position of COUNTER field. */
#define RTC_COUNTER_COUNTER_MASK (0xFFFFFFUL << RTC_COUNTER_COUNTER_Pos)
#define RTC_COUNTER_MAX          (RTC_COUNTER_COUNTER_MASK >> RTC_COUNTER_COUNTER_POS)
#define RTC_TICKS_TO_US(ticks)   ((uint32_t)((((uint64_t)ticks) * (1000000)) / (RTC_INPUT_FREQ)))
#define US_TO_RTC_TICKS(time)    ((uint32_t)((((uint64_t)time) * (RTC_INPUT_FREQ)) / (1000000)))
#define RTC_TICKS_TO_MS(ticks)   ((uint32_t)((((uint64_t)ticks) * (1000)) / (RTC_INPUT_FREQ)))
#define MS_TO_RTC_TICKS(time)    ((uint32_t)((((uint64_t)time) * (RTC_INPUT_FREQ)) / (1000)))

#endif /* _RTC_H_ */

