#ifndef _I2C_H_
#define _I2C_H_

int  i2cInit(void);
void i2cUninit(void);
void i2cSlaveAddr(const uint8_t addr);
int  i2cWriteReg(const uint8_t reg, uint8_t data);
int  i2cWriteData(const uint8_t reg, uint8_t *data, const uint32_t len);
//int  i2cReadBatchData(const uint8_t reg, uint8_t *data, const uint32_t len);
int  i2cReadData(const uint8_t reg, uint8_t *data, const uint32_t len);

#endif /* _I2C_H_ */

